From 2bba0e5eb6e39b29d2c819bf329bb72179f1518a Mon Sep 17 00:00:00 2001
From: Wynn Wolf Arbor
Date: Tue, 26 May 2020 15:46:45 +0200
Subject: www-apps/cgit: Bump to 1.2.3-r3

Add support for a static build.

Since e6b07da278, git does not use OpenSSL's SHA1 implementation anymore
and instead uses its own DC_SHA1. The only other part of git that
depends on ssl is git-imap-send (which is not used by cgit), so drop the
ssl dependency from cgit.

Package-Manager: Portage-2.3.99, Repoman-2.3.22
---
 www-apps/cgit/Manifest             |   2 +-
 www-apps/cgit/cgit-1.2.3-r2.ebuild |  91 ---------------------------------
 www-apps/cgit/cgit-1.2.3-r3.ebuild | 100 +++++++++++++++++++++++++++++++++++++
 3 files changed, 101 insertions(+), 92 deletions(-)
 delete mode 100644 www-apps/cgit/cgit-1.2.3-r2.ebuild
 create mode 100644 www-apps/cgit/cgit-1.2.3-r3.ebuild

(limited to 'www-apps')

diff --git a/www-apps/cgit/Manifest b/www-apps/cgit/Manifest
index b727cbb..13041dd 100644
--- a/www-apps/cgit/Manifest
+++ b/www-apps/cgit/Manifest
@@ -1,4 +1,4 @@
 DIST cgit-1.2.3.tar.xz 90632 BLAKE2B 594a9b2ae0b449e0ef090f428f955cc02833f5f5b1e4d6dc8c737daa565d01ba6840933c0bdc53d4eb683b2f44e2fae885ddd020cfb2de38141a870a6eae2380 SHA512 58f9bb644b07be49dc51f3ef30a3d0e53699cede3c06b1d6920f3874fe846c83dd2589632aa84357b70ea2d60272448409aa1b892f405d14dd6745f5559b4504
 DIST git-2.25.1.tar.xz 5875548 BLAKE2B 582da3d4ac996d7b9ce6cf505661496ab1a2cd061f058745350498121956b33d79739b567fb5fea0b4e298303261256034aa0b8da0b842feab04ae67a7d5b142 SHA512 15241143acfd8542d85d2709ac3c80dbd6e8d5234438f70c4f33cc71a2bdec3e32938df7f6351e2746d570b021d3bd0b70474ea4beec0c51d1fc45f9c287b344
-EBUILD cgit-1.2.3-r2.ebuild 2009 BLAKE2B 70811fed6f99552fdc7d38b9df0e4e7458ddf3075edf5caeb7b1800666b4f13f51d4bdce344671f67807675413e0afcf2cac7bd16fb73480d020a19d5ac27d26 SHA512 0dbb94f24ebe356beb71f3fdbb170913b71e5ebe22532b6df6e13d98e0dec20d630d793086d625878136312fdb163a88b3abf0532791d647232da841dd35f27a
+EBUILD cgit-1.2.3-r3.ebuild 2293 BLAKE2B 970081aaaaac0b95aba7315e16903aa90db4692fb96cf8773dff51046fdf704bf3b860a7d7bd9120101d0d3941c003f755bdb042c4dd301f80f74348f5d45e38 SHA512 843483acb27f3f166f88d0e612ff2a8ccffd3f69dd878e957d9b0915c1202da75ff9ab82343e0238d9e80b72366fc605eda74b2630e8275b691bdc7c5e1328c1
 MISC metadata.xml 1029 BLAKE2B e46976de1886fef155a1488142b4b3733c1e682a8851b4b36449e95759a050722d3147221f3cc587a984e28c2b167dacf3e29a4cc208f30bd52e0216806d2327 SHA512 bcd83dfd7789597db8ef429aebe5c34138aba888706bce5972208e6cb8e991a820691cef5268fcebf9e30ec5bf9d4ccc65d36790372282f96c09243137856fdd
diff --git a/www-apps/cgit/cgit-1.2.3-r2.ebuild b/www-apps/cgit/cgit-1.2.3-r2.ebuild
deleted file mode 100644
index a801587..0000000
--- a/www-apps/cgit/cgit-1.2.3-r2.ebuild
+++ /dev/null
@@ -1,91 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit multilib toolchain-funcs
-
-GIT_V="2.25.1"
-
-DESCRIPTION="a fast web-interface for git repositories"
-HOMEPAGE="https://git.zx2c4.com/cgit/about"
-SRC_URI="https://www.kernel.org/pub/software/scm/git/git-${GIT_V}.tar.xz
-	https://git.zx2c4.com/cgit/snapshot/${P}.tar.xz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="doc highlight libressl lua luajit lzip markdown zip zstd"
-
-LUADEP="
-	lua? (
-		luajit? ( dev-lang/luajit )
-		!luajit? ( dev-lang/lua:0 )
-	)
-"
-
-BDEPEND="
-	doc? ( app-text/docbook-xsl-stylesheets
-		>=app-text/asciidoc-8.5.1 )
-"
-
-RDEPEND="${LUADEP}
-	dev-vcs/git
-	highlight? ( || ( dev-python/pygments app-text/highlight ) )
-	lzip? ( app-arch/lzip )
-	markdown? ( dev-python/markdown )
-	zip? ( app-arch/zip )
-	zstd? ( app-arch/zstd )
-"
-
-DEPEND="${LUADEP}
-	!libressl? ( dev-libs/openssl:0= )
-	libressl? ( dev-libs/libressl:0= )
-	sys-libs/zlib
-"
-
-src_prepare() {
-	default
-
-	rmdir git || die
-	mv "${WORKDIR}"/git-"${GIT_V}" git || die
-
-	echo "prefix = ${EPREFIX}/usr" >> cgit.conf
-	echo "libdir = ${EPREFIX}/usr/$(get_libdir)" >> cgit.conf
-	echo "CACHE_ROOT = ${CGIT_CACHEDIR}" >> cgit.conf
-	echo "DESTDIR = ${D}" >> cgit.conf
-	if use lua; then
-		if use luajit; then
-			echo "LUA_PKGCONFIG = luajit" >> cgit.conf
-		else
-			echo "LUA_PKGCONFIG = lua" >> cgit.conf
-		fi
-	else
-		echo "NO_LUA = 1" >> cgit.conf
-	fi
-}
-
-src_configure() {
-	myopts=(
-		$(usex elibc_musl NO_REGEX=NeedsStartEnd '')
-	)
-
-	export MY_MAKEOPTS="${myopts[@]}"
-}
-
-src_compile() {
-	emake ${MY_MAKEOPTS} V=1 AR="$(tc-getAR)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
-	use doc && emake V=1 doc-man
-}
-
-src_install() {
-	emake ${MY_MAKEOPTS} V=1 AR="$(tc-getAR)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" install
-
-	dodoc README
-	use doc && doman cgitrc.5
-}
-
-pkg_postinst() {
-	ewarn "For caching support, /var/cache/cgit needs to exist and be owned"
-	ewarn "by the user executing cgit."
-}
diff --git a/www-apps/cgit/cgit-1.2.3-r3.ebuild b/www-apps/cgit/cgit-1.2.3-r3.ebuild
new file mode 100644
index 0000000..2b57dcb
--- /dev/null
+++ b/www-apps/cgit/cgit-1.2.3-r3.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib toolchain-funcs
+
+GIT_V="2.25.1"
+
+DESCRIPTION="a fast web-interface for git repositories"
+HOMEPAGE="https://git.zx2c4.com/cgit/about"
+SRC_URI="https://www.kernel.org/pub/software/scm/git/git-${GIT_V}.tar.xz
+	https://git.zx2c4.com/cgit/snapshot/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="doc highlight lua luajit lzip markdown static zip zstd"
+
+LUA_DEPEND="
+	lua? (
+		luajit? ( dev-lang/luajit )
+		!luajit? ( dev-lang/lua:0 )
+	)
+"
+
+BDEPEND="
+	doc? ( app-text/docbook-xsl-stylesheets
+		>=app-text/asciidoc-8.5.1 )
+"
+
+RDEPEND="${LUA_DEPEND}
+	dev-vcs/git
+	highlight? ( || ( dev-python/pygments app-text/highlight ) )
+	lzip? ( app-arch/lzip )
+	markdown? ( dev-python/markdown )
+	zip? ( app-arch/zip )
+	zstd? ( app-arch/zstd )
+	!static? ( sys-libs/zlib )
+"
+
+DEPEND="${LUA_DEPEND}
+	static? (
+		sys-libs/zlib[static-libs(+)]
+	)
+"
+
+# +static fails with +luajit
+REQUIRED_USE="
+	static? ( !luajit )
+"
+
+src_prepare() {
+	default
+
+	rmdir git || die
+	mv "${WORKDIR}"/git-"${GIT_V}" git || die
+
+	echo "prefix = ${EPREFIX}/usr" >> cgit.conf
+	echo "libdir = ${EPREFIX}/usr/$(get_libdir)" >> cgit.conf
+	echo "CACHE_ROOT = ${CGIT_CACHEDIR}" >> cgit.conf
+	echo "DESTDIR = ${D}" >> cgit.conf
+	echo "CGIT_SCRIPT_PATH = ${EPREFIX}/usr/libexec/cgit" >> cgit.conf
+	echo "CGIT_DATA_PATH = ${EPREFIX}/usr/share/cgit/resources" >> cgit.conf
+	if use lua; then
+		if use luajit; then
+			echo "LUA_PKGCONFIG = luajit" >> cgit.conf
+		else
+			echo "LUA_PKGCONFIG = lua" >> cgit.conf
+		fi
+	else
+		echo "NO_LUA = 1" >> cgit.conf
+	fi
+}
+
+src_configure() {
+	myopts=(
+		$(usex elibc_musl NO_REGEX=NeedsStartEnd '')
+	)
+
+	export MY_MAKEOPTS="${myopts[@]}"
+	LDFLAGS="${LDFLAGS} $(usex static -static '')"
+}
+
+src_compile() {
+	emake ${MY_MAKEOPTS} V=1 AR="$(tc-getAR)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
+	use doc && emake V=1 doc-man
+}
+
+src_install() {
+	emake ${MY_MAKEOPTS} V=1 AR="$(tc-getAR)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" install
+
+	dodoc README
+	use doc && doman cgitrc.5
+}
+
+pkg_postinst() {
+	ewarn "For caching support in its default configuration, /var/cache/cgit"
+	ewarn "needs to exist and be owned by the user executing cgit."
+}
-- 
cgit v1.2.3-2-gb3c3